@echo off
echo.
if "%OS%"=="Windows_NT" goto :DIRECT
echo This batch works only on Windows 2000 or later.
goto :STOP

:DIRECT
SETLOCAL ENABLEEXTENSIONS
set DONE=NOTDONE
set MAPSET=OSMfenixEuropeBNL
if %MAPSET%==NONE (
	echo. == Unknown mapset, nothing installed.
	goto STOP
)

if DEFINED ProgramData (
 set ALL_DIR=%ProgramData%
 goto WORK
)

set APP_DIR1=%APPDATA%
:LOOP
set APP_DIR2=%APP_DIR1%
for /F "tokens=1,* delims=\" %%i in ("%APP_DIR1%") do set APP_DIR1=%%j
if NOT "%APP_DIR1%" == "" goto LOOP
set ALL_DIR=%ALLUSERSPROFILE%\%APP_DIR2%

:WORK
if exist "%ALL_DIR%\Garmin\Maps" (
	for /D %%I in ("%ALL_DIR%\Garmin\Maps\%MAPSET%*.gmap") do (
		rd "%%I"
		if not exist "%%I" (
			echo. == %%~nI uninstalled from %ALL_DIR%\Garmin\Maps
			echo.
			set DONE=OK
		)
	)
)
if exist "%APPDATA%\Garmin\Maps" (
	for /D %%I in ("%APPDATA%\Garmin\Maps\%MAPSET%*.gmap") do (
		rd "%%I"
		if not exist "%%I" (
			echo. == %%~nI uninstalled from %APPDATA%\Garmin\Maps
			echo.
			set DONE=OK
		)
	)
)

if %DONE%==NOTDONE (
	echo. == No mapset unistalled
	echo.
)

:STOP
echo.
ENDLOCAL
pause
